Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchOptimization extends MatchTreeMaking with MatchAnalysis

  Optimize and analyze matches based on their TreeMaker-representation.

  Optimize and analyze matches based on their TreeMaker-representation.

  The patmat translation doesn't rely on this, so it could be disabled in principle.

  - well, not quite: the backend crashes if we emit duplicates in switches (e.g. SI-7290)
  Definition Classes
    patmat
-  trait CommonSubconditionElimination extends OptimizedCodegen with MatchApproximator
  Definition Classes
    MatchOptimization
- AbsCodegen
- AbsVar
- AlternativesTreeMaker
- AnalysisBudget
- And
- AtMostOne
- BodyTreeMaker
- Casegen
- CommonCodegen
- CondTreeMaker
- Const
- EmptySubstitution
- Eq
- EqualityTestTreeMaker
- ExtractorTreeMaker
- False
- FunTreeMaker
- GuardTreeMaker
- IrrefutableExtractorTreeMaker
- NoNewBinders
- Not
- NullConst
- Or
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- Prop
- PropMap
- PropTraverser
- ReusedCondTreeMaker
- ReusingCondTreeMaker
- Solution
- Solvable
- SubstOnlyTreeMaker
- Substitution
- Sym
- Test
- TreeMaker
- TreeMakersToProps
- TreeMakersToPropsIgnoreNullChecks
- TrivialTreeMaker
- True
- TypeConst
- TypeConstExtractor
- TypeTestTreeMaker
- ValueConst
- ValueConstExtractor
- Var
- VarExtractor
- optimizedCodegen

o

scala.tools.nsc.transform.patmat.MatchOptimization.CommonSubconditionElimination

# ReusedCondTreeMaker 

###
Companion class ReusedCondTreeMaker

#### object ReusedCondTreeMaker

Source
  MatchOptimization.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReusedCondTreeMaker
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(orig: CommonSubconditionElimination.CondTreeMaker): ReusedCondTreeMaker
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped